<?php

/**
 * Bootstraps the WP Express Checkout Reset Settings addon.
 */
class WPECRS_Main
{
	public function __construct()
	{
		// Initialize the admin dashboard side of this plugin.
		new WPECRS_Admin();

		// Listen for the plugin loaded hook.
		add_action('plugins_loaded', array($this, 'handle_plugins_loaded'));
	}

	/**
	 * Fires after the plugin loads.
	 */
	public function handle_plugins_loaded()
	{
		add_filter('plugin_action_links', array($this, 'add_settings_link'), 10, 2);
	}

	/**
	 * Add settings link in plugins listing page. Callback of the 'plugin_action_links' filter hook.
	 *
	 * @param array An array containing the existing list of action links for the plugin.
	 * @param string The basename of the plugin file currently being processed.
	 * @return array
	 */
	public function add_settings_link($links, $file)
	{
		if ($file == plugin_basename(WPECRS_PLUGIN_FILE)) {
			$settings_link = '<a href="options-general.php?page=wpec-reset-settings">Settings</a>';
			array_unshift($links, $settings_link);
		}
		return $links;
	}
}
